Bug 1444374 - [NMCI] [abrt] [faf] NetworkManager: _g_log_abort(): /usr/sbin/NetworkManager killed by 5
Summary: [NMCI] [abrt] [faf] NetworkManager: _g_log_abort(): /usr/sbin/NetworkManager ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Thomas Haller
QA Contact: Desktop QE
URL: http://faf.lab.eng.brq.redhat.com/faf...
Whiteboard:
: 1444376 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-21 09:03 UTC by Vladimir Benes
Modified: 2017-08-01 09:27 UTC (History)
7 users (show)

Fixed In Version: NetworkManager-1.8.0-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 09:27:08 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2299 normal SHIPPED_LIVE Moderate: NetworkManager and libnl3 security, bug fix and enhancement update 2017-08-01 12:40:28 UTC

Description Vladimir Benes 2017-04-21 09:03:50 UTC
This bug has been created based on an anonymous crash report requested by the package maintainer.

Report URL: http://faf.lab.eng.brq.redhat.com/faf/reports/bthash/fafb2815bb06c50b0f12d469592a28c5635a96b0/

Comment 1 Thomas Haller 2017-04-21 12:55:17 UTC
*** Bug 1444376 has been marked as a duplicate of this bug. ***

Comment 2 Thomas Haller 2017-04-21 14:38:22 UTC
Please review th/proxy-rh1444374

Comment 3 Beniamino Galvani 2017-04-23 12:36:57 UTC
> proxy: unify logging in nm-pacrunner-manager

+               nm_log ((level), _NMLOG_DOMAIN, NULL, NULL, \
+                       "%s%p]: " _NM_UTILS_MACRO_FIRST(__VA_ARGS__), \
+                       "pacrunner: call[", \
+                       (config) \
+                       _NM_UTILS_MACRO_REST(__VA_ARGS__)); \

Why "%s%p]: " and "pacrunner: call[" are split in such way?

Pushed a typo fixup, otherwise looks good.

Comment 4 Thomas Haller 2017-04-23 16:19:13 UTC
(In reply to Beniamino Galvani from comment #3)
> > proxy: unify logging in nm-pacrunner-manager
> 
> +               nm_log ((level), _NMLOG_DOMAIN, NULL, NULL, \
> +                       "%s%p]: " _NM_UTILS_MACRO_FIRST(__VA_ARGS__), \
> +                       "pacrunner: call[", \
> +                       (config) \
> +                       _NM_UTILS_MACRO_REST(__VA_ARGS__)); \
> 
> Why "%s%p]: " and "pacrunner: call[" are split in such way?

it saves ": call[" which would be part of every logging string otherwise. Yeah, I know, that amounts to a dozen bytes.


merged upstream.

master: https://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?id=b495d0bf94e5cc043636064abf8a6053ff965af2

nm-1-8: https://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?id=424e6c853825b638d2c08b7edca58390205082c1

Comment 6 errata-xmlrpc 2017-08-01 09:27:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2299


Note You need to log in before you can comment on or make changes to this bug.